﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MvcCoffeeShop.DataTransferObjects;
using MvcCoffeeShop.DataAccess.ClassicImplementation;


namespace MvcCoffeeShop
{
    namespace BusinessLogic
    {
        public class MvcCoffeeShopBL_Classic
        {
            
            String mstrConn;

            MvcCoffeeShopDA_Classic oDataAccess;

            public MvcCoffeeShopBL_Classic(String strConn)
                {
                    mstrConn = strConn;
                    oDataAccess = new MvcCoffeeShopDA_Classic(strConn);
                }

            public List<ProductDTO> GetProducts()
            {
                var oProducts = new List<ProductDTO>();
                try
                {
                    oProducts = oDataAccess.GetProducts();
                    return oProducts;
                }
                catch (Exception e)
                {
                    throw e;
                }
               
            }


            public ProductDTO GetProduct(int ProductID)
            {
                var oProduct = new ProductDTO();

                try
                {
                    oProduct = oDataAccess.GetProduct(ProductID);
                    return oProduct;
                }
                catch (Exception e)
                {
                    throw e;
                }

            }

        }
    }
}
