﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MvcCoffeeShop.DataTransferObjects;
using MvcCoffeeShop.DataAccess.ModernImplementation;


namespace MvcCoffeeShop
{
    namespace BusinessLogic
    {
        public class MvcCoffeeShopBL_Modern
        {

            MvcCoffeeShopDA_Modern oDataAccess;
           
            public MvcCoffeeShopBL_Modern()
            {

                oDataAccess = new MvcCoffeeShopDA_Modern();
                
            }

            public List<ProductDTO> GetProducts()
            {
                var oProducts = new List<ProductDTO>();
                try
                {
                    oProducts = oDataAccess.GetProducts();
                    return oProducts;
                }
                catch (Exception e)
                {
                    throw e;
                }

            }


        }
    }
}

