﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using System.Threading.Tasks;
using MvcCoffeeShop.DataTransferObjects;
using System.Data.Entity;
using System.Data.EntityClient;
using System.Data.SqlClient;
using System.Globalization;
using System.Data.Common;
using System.Configuration;
using DAL;


    namespace MvcCoffeeShop
    {
       namespace DataAccess
       {
            namespace ModernImplementation
            {
                public class MvcCoffeeShopDA_Modern : IDisposable
                {

                    string mstrConn;

                    public MvcCoffeeShopDA_Modern()
                    {
                    }

                   
                    public List<ProductDTO> GetProducts()
                    {
                       ProductDTO oProduct;
                       var oProducts = new List<ProductDTO>();

                       MvcCoffeeShopEntities context = new MvcCoffeeShopEntities();

                        IEnumerable<Product> getProducts = from p in context.Products
                                        select p;

                         foreach (Product p in context.Products)
                            {
                                 oProduct = new ProductDTO();

                                oProduct.ProductID = p.ProductID;
                                oProduct.ProductName = p.ProductName;
                           oProduct.ProductDesc = p.ProductDesc;
                             oProduct.SupplierID = p.SupplierID;
                              oProduct.Quantity = p.Quantity;
                             oProduct.UnitPrice = (double)p.UnitPrice;
                            oProduct.PicturePath = p.PicturePath;
                             oProducts.Add(oProduct);

                           }

                         return oProducts;
              
 

                   }



                    public void Dispose()
                    {
                        throw new NotImplementedException();
                    }
                }
            }
        }
    }

